package com.podpea.mediators
{
	import com.podpea.events.StateEvent;
	import com.podpea.views.MainUI;
	
	import org.robotlegs.mvcs.Mediator;
	
	public class MainMediator extends Mediator
	{
		
		[Inject]
		public var view:MainUI;
		
		
		override public function onRegister():void{
			
			eventMap.mapListener(eventDispatcher, StateEvent.MAIN_STATE_CHANGED, changeState);
			
		}
		
		
		protected function changeState(e:StateEvent):void{
			
			view.currentState = e.value;
			
		}
		
	}
}