package com.podpea.mediators
{
	import com.podpea.constants.MainStates;
	import com.podpea.events.PodEvent;
	import com.podpea.events.StateEvent;
	import com.podpea.views.MiloUI;
	
	import flash.events.MouseEvent;
	
	import org.robotlegs.mvcs.Mediator;
	
	public class MiloMediator extends Mediator
	{
		
		
		[Inject]
		public var view:MiloUI;
		
		override public function onRegister():void{
			
			
			eventMap.mapListener(view, MouseEvent.CLICK, miloClicked);
			
			
		}
		
		
		protected function miloClicked(e:MouseEvent):void{
			
			var evt:PodEvent = new PodEvent(PodEvent.MILO_CLICKED);
			dispatch(evt);
			
		}
		
	}
}